package sgc.portal.co.co0101.service;

import org.springframework.stereotype.Service;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.co0101.dto.CO01010001USearch;
import sgc.portal.co.co0101.persistence.CO01010001UMapper;

import java.util.List;

@Service
public class CO01010001UService {
    private final CO01010001UMapper mapper;

    public CO01010001UService(CO01010001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList1(CO01010001USearch search) {
        return mapper.getList1(search);
    }
    
    public List<EasyHashMap<String, Object>> getList2(CO01010001USearch search) {
        return mapper.getList2(search);
    }
    
    public Object callSpIfConPjt(CO01010001USearch search) {
    	mapper.callSpIfConPjt(search);
		return search;
    }
}
